Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Interface PolicyReaderMBean

All Known Subinterfaces:
  DefaultAuthorizerMBean, PolicyEditorMBean

public interface PolicyReaderMBean
extends weblogic.management.commo.StandardInterface

Provides a set of methods for reading data about policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

Method Summary
`java.lang.String` | `getPolicyExpression(java.lang.String resourceId)` Returns the expression of an existing policy.
`boolean` | `policyExists(java.lang.String resourceId)` Indicates whether a policy exists for a resource.

Methods inherited from interface weblogic.management.commo.StandardInterface
`wls_getAttributeTag, wls_getConstructorTag, wls_getDisplayName, wls_getInterfaceClassName, wls_getMBeanTag, wls_getNotificationTag, wls_getObjectName, wls_getOperationTag`

Method Detail

### policyExists

    public boolean policyExists(java.lang.String resourceId)

  Indicates whether a policy exists for a resource.

  Parameters:
    `resourceId` - - The resource within which this method searches for a policy. A null value will trigger NullPointerException.

### getPolicyExpression

    public java.lang.String getPolicyExpression(java.lang.String resourceId)
                                         throws NotFoundException

  Returns the expression of an existing policy.

  Parameters:
    `resourceId` - - The resource for which this method returns the policy expression. A null value will trigger NullPointerException.
  Throws:
    NotFoundException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference